<template>
  <div class="login">
    <a href="/login">
      <cdx-button
        action="progressive"
        weight="primary"
        size="large"
      >
        SIGN IN WITH CAS
        <cdx-icon :icon="cdxIconLogIn" />
      </cdx-button>
    </a>
  </div>
</template>

<script setup>
import { onBeforeMount } from 'vue'
import axios from 'axios'
import { CdxButton, CdxIcon } from '@wikimedia/codex'
import { cdxIconLogIn } from '@wikimedia/codex-icons';
import { useUserStore } from '../../stores/userAuth.js'

const user = useUserStore()

onBeforeMount(() => {
  // FIXME Login bypass
  if (process.env.NODE_ENV === 'development') {
    console.log('Running in development mode');
    user.login('testid', 'testrole')
  } else {
    axios.get('/user')
      .then(function (response) {
        user.login(response.data.id, response.data.roles)
      }).catch(function (error) {
        // No user session (user is not logged in)
        user.logout()
      })
  }
})
</script>

<style scoped>
.login {
  padding: 100px;
  border: 1px solid grey;
}
</style>
